package domain

type AlibabaHmMarketingDiscountItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaHmMarketingDiscountItemAddAsyncItemDiscountSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingDiscountItemAddAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingDiscountItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingDiscountItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncMarketResult) SetDatas(v []AlibabaHmMarketingDiscountItemAddAsyncItemDiscountSku) *AlibabaHmMarketingDiscountItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingDiscountItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
